import type { Extension } from '@codemirror/state';
export interface ExtensionTheme {
    theme: Extension;
    darkTheme?: Extension;
    lightTheme?: Extension;
}
export declare const baseTheme: Extension;
export declare const sidebarBaseTheme: Extension;
export interface ThemeVariables {
    '--cm-editor-background': string;
    '--cm-caret-color': string;
    '--cm-font-family': string;
    '--cm-scrollbar-track': string;
    '--cm-scrollbar-thumb': string;
    '--cm-scrollbar-thumb-hover': string;
    '--cm-gutter-background': string;
    '--cm-gutter-color': string;
    '--cm-sidebar-background': string;
    '--cm-sidebar-text': string;
    '--cm-sidebar-border': string;
    '--cm-resize-handle-hover': string;
    '--cm-resize-handle-active': string;
    '--assistant-width'?: string;
}
export declare const darkThemeVariables: ThemeVariables;
export declare function createTheme(variables: Partial<ThemeVariables>): Extension;
